Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1221 - rc.local in the /etc/rc.d does not seem to be run.
Summary: rc.local in the /etc/rc.d does not seem to be run.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-17 18:27 UTC by rcblach
Modified: 2014-03-17 02:08 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-16 00:10:17 UTC


Attachments (Terms of Use)

Description rcblach 1999-02-17 18:27:14 UTC
rc.local does not seem to be executed in redhat 5.1

Comment 1 rcblach 1999-02-19 15:12:59 UTC
After further research heres what I found.

The run time editor can remove the LINK for S99local to rc.local.
I evidently did this.
Once this is done, the available list does not show a local which
can be reinserted.  I recomend that the local be put in the available
so that the link can put back in.

Comment 2 David Lawrence 1999-03-12 20:05:59 UTC
I was able to replicate this problem by using chkconfig to --del
local. Once this done there isnt a way to get it back with chkconfig
unless you manually create the link to rc.local. Proper behavior would
be to move it to K99local or something similar.

Comment 3 Bill Nottingham 1999-03-16 00:10:59 UTC
fixed in chkconfig-1.0.2-1
(you can no longer remove services that don't support chkconfig)


Note You need to log in before you can comment on or make changes to this bug.